//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
        TMemo *MemoNO1;
        TMemo *MemoNO2;
        TButton *ButtonOpen1;
        TButton *ButtonOpen2;
        TOpenDialog *OpenDialog;
        TButton *ButtonCheck;
        TLabel *Label1;
        TLabel *Label2;
        void __fastcall ButtonOpen1Click(TObject *Sender);
        void __fastcall ButtonOpen2Click(TObject *Sender);
        void __fastcall ButtonCheckClick(TObject *Sender);
private:	// User declarations
	void m_DispData1(void);
        void m_DispData2(void);
        AnsiString OldFileName,NewFileName,OldVersion,NewVersion,OldPath,NewPath;
public:		// User declarations
        __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
class VerInfo{
public:

  VerInfo();

__property AnsiString FileName =
{
  read = m_strGetFileName,
  write = m_SetFileName
};//ɮצW

__property AnsiString FixedFileVersion =
{
  read = m_strGetFixedFileVersion
};//ɮת

__property WORD LangID =
{
  read = m_wGetLangID
};//yt

__property WORD CharsetID =
{
  read = m_wGetCharsetID
};//r

__property AnsiString ProductName =
{
  read = m_strGetProductName
};//~W

__property AnsiString ProductVersion =
{
  read = m_strGetProductVersion
};//~

__property AnsiString OriginalFilename =
{
  read = m_strGetOriginalFilename
};//lɦW

__property AnsiString FileDescription =
{
  read = m_strGetFileDescription
};//ɮ׻

__property AnsiString CompanyName =
{
  read = m_strGetCompanyName
};//qW

__property AnsiString LegalCopyright =
{
  read = m_strGetLegalCopyright
};//ۧ@v

__property AnsiString LegalTrademarks =
{
  read = m_strGetLegalTrademarks
};//XkӼ

__property AnsiString InternalName =
{
  read = m_strGetInternalName
};//W

__property AnsiString Comments =
{
  read = m_strGetComments
};//

private:

  AnsiString m_strFileName;
  AnsiString m_strGetFileName(void);
  void m_SetFileName(AnsiString);

  VS_FIXEDFILEINFO m_stFileInfo;

  AnsiString m_strGetFixedFileVersion(void);

  AnsiString m_strGetFixedProductVersion(void);

  WORD m_wLangID;
  WORD m_wGetLangID(void);

  WORD m_wCharsetID;
  WORD m_wGetCharsetID(void);

  AnsiString m_strProductName;
  AnsiString m_strGetProductName(void);

  AnsiString m_strProductVersion;
  AnsiString m_strGetProductVersion(void);

  AnsiString m_strOriginalFilename;
  AnsiString m_strGetOriginalFilename(void);

  AnsiString m_strFileDescription;
  AnsiString m_strGetFileDescription(void);

  AnsiString m_strFileVersion;
  AnsiString m_strGetFileVersion(void);

  AnsiString m_strCompanyName;
  AnsiString m_strGetCompanyName(void);

  AnsiString m_strLegalCopyright;
  AnsiString m_strGetLegalCopyright(void);

  AnsiString m_strLegalTrademarks;
  AnsiString m_strGetLegalTrademarks(void);

  AnsiString m_strInternalName;
  AnsiString m_strGetInternalName(void);

  AnsiString m_strComments;
  AnsiString m_strGetComments(void);

  DWORD m_dwLastError;
  DWORD m_dwGetLastError(void);

  void m_GetVerInfo(void);
  void m_ClearData(void);
};
//---------------------------------------------------------------------------
#endif
